<div id="divTabLibrary">
	<h3>
	    {{ 'Importation de données depuis la bibliothèque' | trad }}
	    <a data-cy="valideImport" class="principal button button_right"  onClick="sendImport('{{ path('ProjetAchat.ImportLibrary.addData', {typeObjet:typeObjet, idObjet:idObjet}) }}');">{{ 'Valider' | trad }}</a> 
	    <a class="secondaire button button_right" onClick="triggerTab('data');">{{ 'Annuler' | trad }}</a>
    </h3>
	
	<div class="clearfix">
        <div class="colonne3">
            <div id="treeviewImport" class="treeview" style="margin-top:30px;">
            </div>
        </div>
        <div id="zoneDonneeImport" class="colonneComplement">
        	<div class="bg_form padding_form border_form clearfix" id="detailRefresh">
        		<h2 class="separateur_bottom" style="padding-bottom:5px;">
        			{{ 'Toutes catégories de données' | trad }}
        		</h2>
    		</div>
        </div>
    </div>
    <form id="insertInput">
    </form>
    
    
    
    <script>
        $('#treeviewImport').treeview({
            'data': {{ treeBibliotheque | json }},
            'showTags': false,
            'levels': 2,
            'enableLinks': false,
            'onNodeSelected': function(event, data) {
                var id = data.id;
                var data = JSON.stringify($('#insertInput').serializeArray());
        
                activeLoader();
                $.ajax({
                    dataType : 'html',
                    url: '{{ baseUrl() }}ProjetAchat/importLibrary/ajaxListeLibrary/{{ typeObjet }}/{{ idObjet }}/'+id,
                    type: "POST",
                    data: {data : data},
                    success: function(result){
                        $("#zoneDonneeImport").html(result);
                        desactiveLoader();
                    }
                });
             },
        });
        					
        $('.node-treeviewImport').append('<div class="white-tooltip" style="width:50px;float: right;" onClick="importCategory(this);"><img class="imagePoint" style="float: right;" src="{{ baseUrl('IconeV2/Global/download.svg') }}" width="24px" style=""/><span class="infos_tooltip left">{{ 'Import de tous les champs de la catégorie' | trad }}</span></div>' );
    
        $('#treeviewImport').click(
            function() {
                $('.node-treeviewImport').append('<div class="white-tooltip" style="width:50px;float: right;" onClick="importCategory(this);"><img class="imagePoint" style="float: right;" src="{{ baseUrl('IconeV2/Global/download.svg') }}" width="24px" style=""/><span class="infos_tooltip left">{{ 'Import de tous les champs de la catégorie' | trad }}</span></div>' );
            }
        );
        
        $('#treeviewImport').on('nodeUnselected', function(event, data) {
        	$("#zoneDonneeImport").html('<div class="bg_form padding_form border_form clearfix" id="detailRefresh"><h2 class="separateur_bottom" style="padding-bottom:5px;">{{ 'Toutes catégories de données' | trad }}</h2></div>');
        });
        
        function importCategory(objet)
        {
            event.stopPropagation();
            var id = $(objet).parent().data('id');  
            activeLoader();
            $.ajax({
                dataType : 'html',
                url: '{{ baseUrl() }}ProjetAchat/importLibrary/ajaxAddContentLibrary/{{ typeObjet }}/{{ idObjet }}/'+id,
                type: "POST",
                success: function(result){
                	desactiveLoader();
                    var data = jQuery.parseJSON(result);
                    
                    if(data.statut == 'O')
                    {
                        $.each( data.data, function( key, value ) {
                        	$('#insertInput').append('<input type="hidden" name="dataImport'+value+'"  id="dataImport'+value+'" value="'+value+'" />');
                        });
                        
                        $("#modal-content").removeClass('modal_large modal_small').addClass('modal_small');
                        $("#modal-body").html(data.contentPopup);
                        activePopup();
                    }
                    else
                    {
                    	$("#zoneDonneeImport").html(data.content);
                    }
                    
                }
            });      
        }
        
        function sendImport(path)
        {
        	var data = JSON.stringify($('#insertInput').serializeArray());
            activeLoader();
            $.ajax({
                dataType : 'html',
                url: path,
                type: "POST",
                data: {data : data},
                success: function(result){
                	redirectJSWithPost('{{ path('ProjetAchat.ModeleProjet.details', {typeObjet:typeObjet, idObjet:idObjet}) }}', {'onglet' : 'data', 'id' : ''});
                }
            });
        }
        
    </script>
</div>